<?php
/*********************************************************************************
 * Project:     Payment Gateway Class (Consorzio Triveneto S.p.A.)
 * File:        PG_ConsTriv-Config.php
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * @author Davide Gullo (gullo [at] m4ss [dot] net)
 * @package PG_ConsTriv-Config
 * @version 0.1 (30/09/2009)
 *

	Riferimenti:
	* Consorzio Triveneto S.p.A.
	* Payment Gateway
	* Specifiche di Interfacciamento Merchant
	* Release 1.4.4

**********************************************************************************/

/************************************
* 	VALORI DA CONFIGURARE
************************************/

/* Test o Produzione
* 	Valori accettati:
* 		Test = Ambiente di Test
* 		Production = Ambiente in Produzione
*/
	define("_PG_System_Environment", "Test");

/* Dati Merchant */
	define("_PG_ID_Merchant_Test", "12345678"); 	// ID Merchant TEST
	define("_PG_Password_Test", "xxxxxxxx");		// Password Merchant TEST
	define("_PG_ID_Merchant_Production", "12345678");	// ID Merchant PRODUCTION
	define("_PG_Password_Production", "xxxxxxxx");	// Password PRODUCTION

/* Lingua e Valuta */
	define("_PG_CurrencyCode", "978");			// Valuta (978 = EURO)
	/*
	* Lingue disponibili per l'interfaccia del Payment Gateway:
	* 		USA = Inglese
	* 		FRA = Francese
	* 		DEU = Tedesco
	* 		ESP = Spagnolo
	* 		SLO = Sloveno
	*/
	define("_PG_Default_LangId", "ITA");		// Lingua Default (Italiano = ITA)

/* URL di Risposta */
	define("_PG_URL_base", "www.miodominio.it");
	/*
	* E' possibile aggiungere %s
	* %s verrą valorizzato se viene passata una lingua in fase di inizializzazione della classe
	* 	(Vedi __construct)
	*/
	define("_PG_responseURL", "responseURL.php");
	define("_PG_errorURL", "errorURL.php");
	define("_PG_goodURL", "goodURL.php");

/************************************
	VALORI DA NON MODIFICARE
	* Validi per Release 1.4.4
************************************/

/* URL Payment Gateway e Variabili protocollo di comunicazione */
	define("_PG_URL_PaymentInit_Test", "https://test4.constriv.com/cg301/servlet/PaymentInitHTTPServlet");
	define("_PG_URL_PaymentInit_Production", "https://www.constriv.com/cg/servlet/PaymentInitHTTPServlet");
	define("_PG_URL_Payment_Test", "https://test4.constriv.com/cg301/servlet/PaymentTranHTTPServlet");
	define("_PG_URL_Payment_Production", "https://www.constriv.com/cg/servlet/PaymentTranHTTPServlet");


?>